Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedInstructionAvx_::ZydisDecodedInstructionAvxBroadcast_ Struct Reference

Contains info about the AVX broadcast. More...

`#include <DecoderTypes.h>`

## Data Fields
ZyanBool | is_static
| Signals, if the broadcast is a static broadcast.
ZydisBroadcastMode | mode
| The AVX broadcast-mode.

## Detailed Description

Contains info about the AVX broadcast.

## Field Documentation

## ◆ is_static

ZyanBool is_static

Signals, if the broadcast is a static broadcast.

This is the case for instructions with inbuilt broadcast functionality, which is always active and not controlled by the EVEX/MVEX.RC bits.

## ◆ mode

ZydisBroadcastMode mode

The AVX broadcast-mode.

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h